Bug 1413764 (CVE-2016-5547) - CVE-2016-5547 OpenJDK: missing ObjectIdentifier length check (Libraries, 8168705)
Summary: CVE-2016-5547 OpenJDK: missing ObjectIdentifier length check (Libraries, 8168...
Status: CLOSED ERRATA
Alias: CVE-2016-5547
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170117,repor...
Keywords: Security
Depends On:
Blocks: 1410614
TreeView+ depends on / blocked
 
Reported: 2017-01-16 22:16 UTC by Tomas Hoger
Modified: 2017-12-07 17:20 UTC (History)
5 users (show)

(edit)
It was discovered that the Libraries component of OpenJDK did not validate the length of the object identifier read from the DER input before allocating memory to store the OID. An attacker able to make a Java application decode a specially crafted DER input could cause the application to consume an excessive amount of memory.
Clone Of:
(edit)
Last Closed: 2017-02-28 09:26:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0175 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 19:50:08 UTC
Red Hat Product Errata RHSA-2017:0176 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-14 20:16:27 UTC
Red Hat Product Errata RHSA-2017:0180 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2017-01-20 16:04:36 UTC
Red Hat Product Errata RHSA-2017:0263 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2017-02-09 17:05:35 UTC
Red Hat Product Errata RHSA-2017:0269 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2017-02-13 16:17:52 UTC
Red Hat Product Errata RHSA-2017:0336 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2017-02-28 13:19:38 UTC
Red Hat Product Errata RHSA-2017:0337 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2017-02-28 13:19:27 UTC
Red Hat Product Errata RHSA-2017:1216 normal SHIPPED_LIVE Moderate: java-1.7.1-ibm security update 2017-05-09 20:41:26 UTC

Description Tomas Hoger 2017-01-16 22:16:42 UTC
It was discovered that the ObjectIdentifier class in the Libraries component of OpenJDK did not check the length of the object identifier read from the input before allocating memory to store the OID.  An attacker able to make a Java application to decode a specially crafted DER input could cause the application to use an excessive amount of memory.  The DER encoding is used in e.g. X.509 certificates or LDAP protocol.

Comment 1 Tomas Hoger 2017-01-17 21:54:00 UTC
Public now via Oracle CPU January 2017:

http://www.oracle.com/technetwork/security-advisory/cpujan2017-2881727.html#AppendixJAVA

The issue was fixed in Oracle JDK 8u121 and 7u131.

Comment 2 Tomas Hoger 2017-01-18 20:44:49 UTC
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/683c9263a5b1

Comment 3 errata-xmlrpc 2017-01-19 14:00:43 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2017:0176 https://rhn.redhat.com/errata/RHSA-2017-0176.html

Comment 4 errata-xmlrpc 2017-01-19 14:02:40 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:0175 https://rhn.redhat.com/errata/RHSA-2017-0175.html

Comment 5 errata-xmlrpc 2017-01-20 11:06:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0180 https://rhn.redhat.com/errata/RHSA-2017-0180.html

Comment 6 errata-xmlrpc 2017-02-09 12:06:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:0263 https://rhn.redhat.com/errata/RHSA-2017-0263.html

Comment 7 errata-xmlrpc 2017-02-13 11:19:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2017:0269 https://rhn.redhat.com/errata/RHSA-2017-0269.html

Comment 8 errata-xmlrpc 2017-02-28 08:20:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5 Supplementary

Via RHSA-2017:0337 https://rhn.redhat.com/errata/RHSA-2017-0337.html

Comment 9 errata-xmlrpc 2017-02-28 08:22:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:0336 https://rhn.redhat.com/errata/RHSA-2017-0336.html

Comment 10 errata-xmlrpc 2017-05-09 16:43:02 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2017:1216 https://access.redhat.com/errata/RHSA-2017:1216


Note You need to log in before you can comment on or make changes to this bug.